TC(1)

NAME
tc - photoypesetter simulator

SYNOPSIS
tc [ -t ] [ -s N ] [ -p L ] [ file ]

DESCRIPTION
Tc interprets its input (standard input default) as device codes for a Graphic Systems phototypesetter (cat). The standard output of tc is intended for a Tektronix 4015 (a 4014 terminal with ASCII and APL character sets). The sixteen typesetter sizes are mapped into the 4014's four sizes; the entire TROFF character set is drawn using the 4014's character generator, using overstruck combinations where necessary. Typical usage:

    troff -t file | tc

At the end of each page tc waits for a newline (empty line) from the keyboard before continuing on to the next page. In this wait state, the command e will suppress the screen erase before the next page; s N will cause the next N pages to be skipped; and ! line will send line to the shell.

The command line options are:

-t  Don't wait between pages; for directing output into a file.

-sN Skip the first N pages.

-pL Set page length to L. L may include the scale factors p (points), i (inches), c (centimeters), and P (picas); default is picas.

′-l w′
    Multiply the default aspect ratio, 1.5, of a displayed page by l/w.

SEE ALSO
troff(1), plot(1G)

BUGS
Font distinctions are lost.
tc's character set is limited to ASCII in just one size.
The aspect ratio option is unbelievable.